#!/bin/bash

bash ./scad/common/scad.sh ./scad/small_bolex_matte_box.scad

mv ./stl/small_bolex_matte_box_default.stl ./stl/small_bolex_matte_box.stl
mv ./img/small_bolex_matte_box_default.jpg ./img/small_bolex_matte_box.jpg

openscad --enable manifold --viewall --render --imgsize=512,512 --colorscheme=DeepOcean -D VERBOSE=false -o "./img/small_bolex_matte_box-4x5.5_cards.png" "./scad/small_bolex_matte_box-4x5.5_cards.scad"
convert "img/small_bolex_matte_box-4x5.5_cards.png" -sampling-factor 4:2:0 -strip -quality 85 -interlace JPEG -colorspace RGB "img/small_bolex_matte_box-4x5.5_cards.jpg"
rm -f "img/small_bolex_matte_box-4x5.5_cards.png"