# Small Bolex Matte Box

This is a design for a small matte box for Bolex cameras.
It's a preliminary attempt at making a simple matte box for holding filters in front of a lens.

Attaching to the hot shoe mount on top of Rex-series Bolexes, this relies on a [rectangular brass tube](https://ksmetals.com/products/brr014-3-16x3-8) as a rail to hold the matte box.
It expects a 3/8" x 3/16" (4.75mm x 9.5mm) profile for this rail.
There is also a printed version of the tube included as an 3D-printable STL file.

The hot shoe mount + rail design was also adapted by [Lindsay McIntyre](https://tinymovingpictures.com/) to hold an [alternate matte box](./stl/small_bolex_matte_box-4x5.5_cards.stl) for use with 4x5.5 inch cards.

## Small Bolex Matte Box

![Small Bolex Matte Box](./img/small_bolex_matte_box.jpg)

## Hot Shoe Mount

![Hot Shoe Mount](./img/small_bolex_matte_box_hot_shoe_mount.jpg)

## Insert

![Insert](./img/small_bolex_matte_box_insert.jpg)

## Card Matte Box by Lindsay McIntyre

![Card Matte Box by Lindsay McIntyre](./img/small_bolex_matte_box-4x5.5_cards.jpg)